# MANTRA Software Exercises
# R Exercise 2

#introduction to plotting using with() 
with(riverquality,plot(Temp))

with(riverquality,which(Temp<3))
#[1] 150
which(riverquality$Temp<3)
#[1] 150
riverquality$Temp<3

#the basics of plotting
with(riverquality,plot(Temp))
with(riverquality,plot(pH))
with(riverquality,plot(Cond))
with(riverquality,plot(SS))
with(riverquality,plot(Ash))
with(riverquality,plot(DO))
with(riverquality,plot(BOD))
with(riverquality,plot(Amm))
with(riverquality,plot(Nitrite))
with(riverquality,plot(Chloride)) # spot the outlier!
with(riverquality,plot(Alkaline))
with(riverquality,plot(Chloroph))
with(riverquality,plot(Orthop))
with(riverquality,plot(AnDet))

riverquality

riverquality[35,"Temp"]

#assigning a value using subscripts
riverquality[35, "Temp"]<-4
riverquality[35, "Temp"] 


#using fix to edit a dataframe
fix(riverquality)

#multiple plots per page
par(mfrow=c(1,3))
plot(Temp)
plot(pH)
plot(Cond)

#using pair plots in data exploration
 pairs(riverquality[,5:12],upper.panel=NULL)
 pairs(riverquality[,13:18],upper.panel=NULL)

scotriver<-riverquality[482:668,2:18]
names(scotriver)

riverquality$country<-NA

# Using ifelse when creating a new factor variable
riverquality$country<-ifelse(riverquality$Region=="EA Wales","Wales","England")

# Using pattern matching to conditionally assign values
riverquality$country<-ifelse(grepl("SEPA.*",riverquality$Region),"Scotland",riverquality$country)

riverquality$country<-as.factor(riverquality$country)
levels(riverquality$country)

?regexp
?fix
# Save your output as a csv file
write.table(riverquality,file="M:\\RDM\\Arrrr\\riverquality.csv",row.names=FALSE,sep=",")

scotriver<-riverquality[which(riverquality$country=="Scotland"),]
scotriver
levels(scotriver)
levels(scotriver$River)
levels(scotriver$Site)

scotriverlabels<-c("CLYDE - GLASGOW GREEN","DEE - IRON BRIDGE","SPEY - FOCHABERS","DEE - GLENLOCHAR GAUGING STATION","LOCHY - A830 ROAD BRIDGE","TAY - PERTH (QUEENS BRIDGE)")
scotriver$River<-factor(scotriver$River,levels=scotriverlabels)

match(scotriver$Temp[which(grepl(".*CLYDE.*",scotriver$River)),],scotriver$Temp[which(grepl(".*CLYDE.*",scotriver$River))])

droplevels(scotriver$River)
scotriver <- droplevels(scotriver)
levels(scotriver$River)
# [1] "CLYDE - GLASGOW GREEN                 " "DEE - GLENLOCHAR GAUGING STATION    "  
#[3] "LOCHY - A830 ROAD BRIDGE"               "SPEY - FOCHABERS                     " 
#[5] "TAY - PERTH (QUEENS BRIDGE)         "   "TWEED - NORHAM                        "

dimnames(matexample)<-list(paste("site",1:3,sep="."),paste(c("Quality","No. Species", "Area")))
matexample
#       Quality No. Species Area
#site.1       1           4    7
#site.2       2           5    8
#site.3       3           6    9

dimnames(matexample)<-list(c("site.1","site.2","site.3"),c("Quality","No.Species","Area"))
matexample
#       Quality No.Species Area
#site.1       1          4    7
#site.2       2          5    8
#site.3       3          6    9

QNA<-c("Quality ", "No.Species ", "Area ")
colnames(matexample)<-QNA
rownames(matexample)<-rownames(matexample,do.NULL=FALSE,prefix= "site")

rownames(matexample)<-paste("site",1:3,sep= ".")

#labelling an Array
riverex<-paste("River.",1:3,sep="")
sectionex<-c("upper","upper middle","lower middle","lower")
biotaex<-c("no.fauna sp","no.flora sp")
dimnames(Arrayexample)<-list(sectionex,biotaex,riverex)
Arrayexample

matexample[1,]
matexample[,2]

matexample[,"No.Species "]

#adding a new row and column to a matrix
site.4<-c(4,7,10)
matexample<-rbind(matexample,site.4)
Total<-apply(matexample,1,sum)
matexample<-cbind(matexample,Total)
matexample
#       Quality  No.Species  Area  Total
#site.1        1           4     7    12
#site.2        2           5     8    15
#site.3        3           6     9    18
#site.4        4           7    10    21

riverarray<-c(as.vector(Arrayexample),rpois(8,2))
dim(riverarray)<-c(4,2,4)

riverex<-paste("River.",1:4,sep="")
sectionex<-c("upper","upper middle","lower middle","lower")
biotaex<-c("no.fauna sp","no.flora sp")
dimnames(riverarray)<-list(sectionex,biotaex,riverex)

fix(riverarray)

