# MANTRA Software Exercises
# R Exercise 3

benzene2005<-read.csv("M:\\RDM\\Arrrr\\MANTRA-R-Practical-datafiles\\H120305_1634_GeoPolicy_MSOA_r_benzene.csv",header=T)
fix(benzene2005) # just to check the data has read in correctly
#Notes on abbreviations on Benzene Emissions. Data is a measure of 
#various measures of Benzene emissions. Dom = Domestic, Comm = Commercial
#Rd.Trnp = Road Transport. 

names(benzene2005)
# [1] "GOR_CODE"      "GOR_NAME"      "CTY_CODE"      "CTY_NAME"     
# [5] "LA_CODE"       "LA_NAME"       "MSOA_CODE"     "MSOA_NAME"    
# [9] "AREA_METADATA" "X"             "DATA_VALUE"    "DATA_VALUE.1" 

with(benzene2005,levels(GOR_NAME))
#[1] "East Midlands"  "East of England"         
#[3] "London"         "North East"              
#[5] "North West"     "South East"              
#[7] "South West"     "West Midlands"           
#[9] "Yorkshire and The Humber"

landuse2005<-read.csv("M:\\RDM\\Arrrr\\MANTRA-R-Practical-datafiles\\H240305_1617_GeoPolicy_NE_MSOA_r_land_use.csv")
fix(landuse2005)
#Notes on Land Use 2005 in North East. All measures are of land area
#by use, total and percentage quality of fit indicator (qfi) 
#(total area - area of admin)/total area * 100
#admin geo = Are of Administrative Geography

names(landuse2005)
# [1] "GOR_CODE"      "GOR_NAME"      "CTY_CODE"      "CTY_NAME"     
# [5] "LA_CODE"       "LA_NAME"       "MSOA_CODE"     "MSOA_NAME"    
# [9] "AREA_METADATA" "X"             "DATA_VALUE"    "DATA_VALUE.1" 
#[13] "DATA_VALUE.2"  "DATA_VALUE.3"  "DATA_VALUE.4"  "DATA_VALUE.5" 
#[17] "DATA_VALUE.6"  "DATA_VALUE.7"  "DATA_VALUE.8"  "DATA_VALUE.9" 
#[21] "DATA_VALUE.10" "DATA_VALUE.11" "DATA_VALUE.12"

#Ensure both files are in the same order 
#i.e. sort alphabetically on the MSOA Code
landuse2005<-landuse2005[order(landuse2005$MSOA_CODE),]
benzene2005<-benzene2005[order(benzene2005$msoa.code),]

#Number of cases and vectors in each file
dim(landuse2005)
# [1] 342  23
dim(benzene2005)
# [1] 7194   12
names(landuse2005)
names(benzene2005)

# Merging the data from two data frames
Landair<-merge(landuse2005,benzene2005,by.x="MSOA_CODE",by.y="MSOA_CODE", all=T) 
dim(Landair)
# [1] 7194   34
Landair2<-merge(landuse2005,benzene2005[,6:11],by.x = "MSOA_CODE", by.y = "MSOA_CODE", all=T) 
dim(Landair2)
# [1] 7194   28

Summary(Landair2)

write.table(Landair2,file="M:\\RDM\\Arrrr\\MANTRA-R-Practical-datafiles\\landair2.csv",append=F,sep=",")

# Looping
matexample
mean(matexample[,3])
#[1] 8.5
meandiffs <- as.factor(seq(1,4,1))
meandiffs
#[1] 1 2 3 4
#Levels: 1 2 3 4

for (i in matexample[,3]) {
meandiffs$i <- matexample[,3] - mean(matexample[,3])
}
#Warning message:
#In meandiffs$i <- matexample[, 3] - mean(matexample[, 3]) :
#  Coercing LHS to a list
 
meandiffs
#[[1]]
#[1] 1
#
#[[2]]
#[1] 2
#
#[[3]]
#[1] 3
#
#[[4]]
#[1] 4
#
#$i
#site.1 site.2 site.3 site.4 
#  -1.5   -0.5    0.5    1.5 

# Transposing data
riverquality
fix(riverquality)
rivertrans <- t(riverquality)
rivertrans 
fix(rivertrans)
